#include <math.h>

const double GetClosestIncrement( double in_value, double in_increment )
{
	if ( in_increment > 0.0 )
	{
		double dInteger;
		double dFraction = modf( in_value / in_increment, &dInteger );
		in_value = (dInteger + (unsigned int)(dFraction + (dFraction < 0 ? -0.5 : 0.5))) * in_increment;
	}
	return in_value;
}